Subject: Easy Beef Stroganoff
From: Donald Stauffer <[email-masked]>
Date: Fri, 25 Apr 1997 05:45:03 GMT
Newsgroups: rec.food.recipes

I found this recipe in one of my old cookbooks I found at a flea market a
few years ago. The cookbook is called Bureau of Consumer Research Quick
Cookbook and was published by Banner Press in 1974.  I was amazed at how
good and easy this recipe was.

Beef Stroganoff II

Ingredients:

1/3 cup flour
1 tsp salt
1/4 tsp pepper
1 lb sirloin tip steak cut into very thin strips
1/2 cup finely chopped onion
1/4 cup oil
1 can condensed cream of mushroom soup
1 8 oz can sliced mushrooms, drained
1 cup sour cream
Cooked Rice
Paprika 
Parsley

Instructions:

Combine flour, salt, and pepper.  Coat meat strips with flour mixture. In
large fry pan, brown meat strips in oil then add onion and cook until
clear.  Drain off excess fat.  Add soup and mushrooms. Simmer, covered 10
or 15 minutes.  Blend in sour cream and remove from heat. Serve over rice
and sprinkle with paprika. Garnish with parsley.  Makes 6 servings. 

-- 
mystra
[email-masked] 

rec.food.recipes is a moderated newsgroup; only recipes are accepted for
posting.  Please read the "Posting Guidelines" file first.  Articles go to
[email-masked]; administrative questions go to [email-masked].
Please allow two to five days for your submission to appear.